python-ntdb_1.0-9_amd64.deb


Advertisement

Description

python-ntdb - Python bindings for NTDB

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-ntdb
Package version: 1.0
Package release: 9
Package architecture: amd64
Package type: deb
Installed size: 37 B
Download size: 9.02 KB
Official Mirror: archive.ubuntu.com
This is a simple database API. It is modelled after the structure of GDBM. TDB features, unlike GDBM, multiple writers support with appropriate locking and transactions. ntdb uses a file format that is incompatible with tdb, but the API is similar. It improves performance, adds support for databases larger than 4 Gb, and improves integration with talloc. This package contains the Python bindings.

Alternatives

Provides

  • python2.7-ntdb

    Download

    Source package: ntdb

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-ntdb deb package:
      # sudo apt-get install python-ntdb

    Files

    • /usr/lib/python2.7/dist-packages/ntdb.so
    • /usr/share/doc/python-ntdb/changelog.Debian.gz
    • /usr/share/doc/python-ntdb/copyright

    Changelog

    2015-12-13 - Jelmer Vernooij <jelmer@debian.org> ntdb (1.0-9) unstable; urgency=low * Drop '-b unstable' flag in Vcs-Git.

    2015-12-04 - Jelmer Vernooij <jelmer@debian.org> ntdb (1.0-8) unstable; urgency=medium * Avoid duplicating license contents in debian/copyright.

    2015-05-09 - Jelmer Vernooij <jelmer@debian.org> ntdb (1.0-7) unstable; urgency=medium * Add reproducible.diff: Make manual page builds reproducible. * Fix use of -Wl,--as-needed in LDFLAGS.

    2015-04-26 - Jelmer Vernooij <jelmer@debian.org> ntdb (1.0-6) unstable; urgency=medium * debian/copyright: Add short license names, paragraph for main files. * Bump standards version to 3.9.6 (no changes). * Use -Wl,--as-needed when linking.

    2014-07-06 - Jelmer Vernooij <jelmer@debian.org> ntdb (1.0-5) unstable; urgency=medium * Use canonical URL in Vcs-Git header. * Set branch in Vcs-Git header.

    2014-04-25 - Jelmer Vernooij <jelmer@debian.org> ntdb (1.0-4) unstable; urgency=medium * Bump standards version to 3.9.5 (no changes). * Add missing period at end of ntdb-tools long description. Closes: #745693 * Don't build on hurd-any, as the Hurd does not yet support byte range locking. (bug #190367)

    2014-02-03 - Jelmer Vernooij <jelmer@debian.org> ntdb (1.0-3) unstable; urgency=medium * Improve spelling of long description. Closes: #737178 * Drop autopkgtest control flag. Closes: #737542 * Change maintainer to Debian Samba Maintainers, move myself to uploaders.

    2013-12-08 - Jelmer Vernooij <jelmer@debian.org> ntdb (1.0-2) unstable; urgency=low * Remove broken autopkgtest. Closes: #731593

    2013-11-15 - Jelmer Vernooij <jelmer@debian.org> ntdb (1.0-1) unstable; urgency=low * Initial release. Closes: #729165

    Advertisement
    Advertisement